from emodpy import emod_task


def build_standard_campaign_object(manifest):
    import emod_api.campaign as campaign
    campaign.set_schema(manifest.schema_file)
    return campaign

def set_log_level(config, loglevel_default="WARNING"):
    # non-schema parameters:
    config.parameters["logLevel_default"] = loglevel_default
    # config.parameters["logLevel_JsonConfigurable"] = "WARNING" This actually makes it really hard to debug.
    config.parameters["Enable_Log_Throttling"] = 1

    #schema parameters:
    # (Let these just be defaults unless there's a need to mess with them)
    # config.parameters.Memory_Usage_Warning_Threshold_Working_Set_MB = 50000
    # config.parameters.Memory_Usage_Halting_Threshold_Working_Set_MB = 60000
    config.parameters.Memory_Usage_Halting_Threshold_Working_Set_MB = 16000
