
import json
from matplotlib import pyplot as plt


# Plot demographics pyramid from summary report
def plot_demographics_pyramid_from_summary_report(filepath):
    with open(filepath) as f:
        d = json.load(f)

    age_bins = d["Metadata"]["Age Bins"]
    pop_by_age_bin = d["DataByTimeAndAgeBins"]["Average Population by Age Bin"]

    plt.plot(age_bins, pop_by_age_bin[-1], marker='o')
    plt.show()