import os

from jsuresh_helpers.uncategorized import load_csv_into_dictionary


def set_executable(cb, bin_folder, include_exe_suffix=True):
    if include_exe_suffix:
        binary_name = "Eradication.exe"
    else:
        binary_name = "Eradication"

    cb.set_experiment_executable(os.path.join(bin_folder, binary_name))
    cb.set_dll_root(bin_folder)

def add_params_csv_to_dtk_config_builder(cb, params_csv_filename):
    params_dict = load_csv_into_dictionary(params_csv_filename)

    # iterate over dictionary, and set param in cb:
    for param_name, value in params_dict.items():
        cb.set_param(param_name, value)


# def basic_gridded_config_builder(immunity_params="prashanth",
#                                  loglevel_default="WARNING"):
#     cb = DTKConfigBuilder.from_defaults('MALARIA_SIM')
#
#     cb.update_params({
#         "Climate_Model": "CLIMATE_CONSTANT",
#         "Base_Air_Temperature": 27,
#         "Base_Land_Temperature": 27,
#     })
#
#     cb.update_params({
#         "Disable_IP_Whitelist": 1,
#         "Enable_Demographics_Other": 1,
#         "Report_Detection_Threshold_PfHRP2": 40.0,
#         "Report_Detection_Threshold_Blood_Smear_Parasites": 0,
#         "Parasite_Smear_Sensitivity": 0.025,
#         "Report_Detection_Threshold_True_Parasite_Density": 40,
#         "Birth_Rate_Dependence": "FIXED_BIRTH_RATE", # Match demographics file for constant population size (with exponential age distribution)
#         "Enable_Nondisease_Mortality": 1,
#     })
#     #
#     # # Intervention events
#     # intervene_events_list = ["Bednet_Got_New_One","Bednet_Using","Bednet_Discarded"]
#     #
#     # cb.update_params({
#     #     "Report_Event_Recorder": 0,
#     #     "Report_Event_Recorder_Ignore_Events_In_List": 0,
#     #     "Listed_Events": intervene_events_list,
#     #     "Report_Event_Recorder_Events": intervene_events_list
#     # })
#
